Index: Build
===================================================================
RCS file: Build
diff -N Build
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ Build	21 Apr 2005 12:00:03 -0000	1.3
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+source ../../Config.sh
+
+pp_clean_local () {
+    pushd source
+       	make clean
+    popd
+}
+
+pp_build_local () {
+    pushd source
+	libtoolize --copy --force \
+	&& autoconf \
+	&& CFLAGS="$FW_CFLAGS_3RDPARTY -ffunction-sections -fdata-sections" \
+       	   ./configure	--host="$HOST_SYSTEM" \
+			--target="$HOST_SYSTEM" \
+			--prefix=/ \
+			--with-fhs \
+			--with-codepagedir=/lib/samba/codepages \
+			--with-smbmount \
+			--without-ssl \
+			--without-acl-support \
+			--disable-cups \
+			--without-cups \
+	&& make install
+    popd
+}
+
+pp_do "$@"
Index: source/configure.in
===================================================================
RCS file: /srv/CVS/pp_shared/samba/source/configure.in,v
retrieving revision 1.1.132.1
retrieving revision 1.2
diff -u -r1.1.132.1 -r1.2
--- source/configure.in	8 Apr 2004 08:30:57 -0000	1.1.132.1
+++ source/configure.in	14 Apr 2004 08:15:08 -0000	1.2
@@ -677,22 +677,22 @@
 # it.
 AC_CHECK_FUNCS(connect)
 if test x"$ac_cv_func_connect" = x"no"; then
-    case "$LIBS" in
-    *-lnsl*) ;;
-    *) AC_CHECK_LIB(nsl_s, printf) ;;
-    esac
-    case "$LIBS" in
-    *-lnsl*) ;;
-    *) AC_CHECK_LIB(nsl, printf) ;;
-    esac
-    case "$LIBS" in
-    *-lsocket*) ;;
-    *) AC_CHECK_LIB(socket, connect) ;;
-    esac
-    case "$LIBS" in
-    *-linet*) ;;
-    *) AC_CHECK_LIB(inet, connect) ;;
-    esac
+dnl    case "$LIBS" in
+dnl    *-lnsl*) ;;
+dnl    *) AC_CHECK_LIB(nsl_s, printf) ;;
+dnl    esac
+dnl    case "$LIBS" in
+dnl    *-lnsl*) ;;
+dnl    *) AC_CHECK_LIB(nsl, printf) ;;
+dnl    esac
+dnl    case "$LIBS" in
+dnl    *-lsocket*) ;;
+dnl    *) AC_CHECK_LIB(socket, connect) ;;
+dnl    esac
+dnl    case "$LIBS" in
+dnl    *-linet*) ;;
+dnl    *) AC_CHECK_LIB(inet, connect) ;;
+dnl    esac
     dnl We can't just call AC_CHECK_FUNCS(connect) here, because the value
     dnl has been cached.
     if test x"$ac_cv_lib_socket_connect" = x"yes" || 
@@ -705,11 +705,11 @@
 
 ###############################################
 # test for where we get get_yp_default_domain() from
-AC_CHECK_FUNCS(yp_get_default_domain)
-if test x"$ac_cv_func_yp_get_default_domain" = x"no"; then
-	AC_CHECK_LIB(nsl, yp_get_default_domain, [LIBS="$LIBS -lnsl";
-	AC_DEFINE(HAVE_YP_GET_DEFAULT_DOMAIN)]) 
-fi
+#AC_CHECK_FUNCS(yp_get_default_domain)
+#if test x"$ac_cv_func_yp_get_default_domain" = x"no"; then
+#	AC_CHECK_LIB(nsl, yp_get_default_domain, [LIBS="$LIBS -lnsl";
+#	AC_DEFINE(HAVE_YP_GET_DEFAULT_DOMAIN)]) 
+#fi
 
 # Check if we have execl, if not we need to compile smbrun.
 AC_CHECK_FUNCS(execl)
@@ -744,8 +744,8 @@
 AC_CHECK_FUNCS(_write __write _fork __fork)
 AC_CHECK_FUNCS(_stat64 __stat64 _fstat64 __fstat64 _lstat64 __lstat64)
 AC_CHECK_FUNCS(__sys_llseek llseek _llseek __llseek readdir64 _readdir64 __readdir64)
-AC_CHECK_FUNCS(pread _pread __pread pread64 _pread64 __pread64)
-AC_CHECK_FUNCS(pwrite _pwrite __pwrite pwrite64 _pwrite64 __pwrite64)
+#AC_CHECK_FUNCS(pread _pread __pread pread64 _pread64 __pread64)
+#AC_CHECK_FUNCS(pwrite _pwrite __pwrite pwrite64 _pwrite64 __pwrite64)
 AC_CHECK_FUNCS(open64 _open64 __open64 creat64)
 
 #
@@ -1171,7 +1171,7 @@
 #include <sys/time.h>
 #include <unistd.h>
 main() { struct timeval tv; exit(gettimeofday(&tv, NULL));}],
-           samba_cv_HAVE_GETTIMEOFDAY_TZ=yes,samba_cv_HAVE_GETTIMEOFDAY_TZ=no,samba_cv_HAVE_GETTIMEOFDAY_TZ=cross)])
+           samba_cv_HAVE_GETTIMEOFDAY_TZ=yes,samba_cv_HAVE_GETTIMEOFDAY_TZ=no,samba_cv_HAVE_GETTIMEOFDAY_TZ=yes)])
 if test x"$samba_cv_HAVE_GETTIMEOFDAY_TZ" = x"yes"; then
     AC_DEFINE(HAVE_GETTIMEOFDAY_TZ)
 fi
@@ -1618,7 +1618,7 @@
 #define AUTOCONF_TEST 1
 #include "confdefs.h"
 #include "${srcdir-.}/lib/interfaces.c"],
-           samba_cv_HAVE_IFACE_IFCONF=yes,samba_cv_HAVE_IFACE_IFCONF=no,samba_cv_HAVE_IFACE_IFCONF=cross)])
+           samba_cv_HAVE_IFACE_IFCONF=yes,samba_cv_HAVE_IFACE_IFCONF=no,samba_cv_HAVE_IFACE_IFCONF=yes)])
 if test x"$samba_cv_HAVE_IFACE_IFCONF" = x"yes"; then
     iface=yes;AC_DEFINE(HAVE_IFACE_IFCONF)
 fi
Index: source/client/smbmnt.c
===================================================================
RCS file: /srv/CVS/pp_shared/samba/source/client/smbmnt.c,v
retrieving revision 1.1.132.1
retrieving revision 1.2
diff -u -r1.1.132.1 -r1.2
--- source/client/smbmnt.c	8 Apr 2004 08:30:58 -0000	1.1.132.1
+++ source/client/smbmnt.c	21 Apr 2005 12:00:03 -0000	1.2
@@ -168,7 +168,7 @@
 	return mount(share_name, ".", "smbfs", flags, data2);
 }
 
- int main(int argc, char *argv[])
+ int smbmnt_main(int argc, char *argv[])
 {
 	char *mount_point, *share_name = NULL;
 	FILE *mtab;
Index: source/client/smbmount.c
===================================================================
RCS file: /srv/CVS/pp_shared/samba/source/client/smbmount.c,v
retrieving revision 1.1.132.1
retrieving revision 1.2
diff -u -r1.1.132.1 -r1.2
--- source/client/smbmount.c	8 Apr 2004 08:30:58 -0000	1.1.132.1
+++ source/client/smbmount.c	21 Apr 2005 12:00:03 -0000	1.2
@@ -795,7 +795,7 @@
 /****************************************************************************
   main program
 ****************************************************************************/
- int main(int argc,char *argv[])
+ int smbmount_main(int argc,char *argv[])
 {
 	extern char *optarg;
 	extern int optind;
Index: source/include/smb.h
===================================================================
RCS file: /srv/CVS/pp_shared/samba/source/include/smb.h,v
retrieving revision 1.1.132.1
retrieving revision 1.2
diff -u -r1.1.132.1 -r1.2
--- source/include/smb.h	8 Apr 2004 08:30:58 -0000	1.1.132.1
+++ source/include/smb.h	14 Apr 2004 08:15:08 -0000	1.2
@@ -25,6 +25,21 @@
 #ifndef _SMB_H
 #define _SMB_H
 
+#include <sys/types.h>
+
+#undef int8
+typedef __int8_t int8;
+#undef uint8
+typedef __uint8_t uint8;
+#undef int16
+typedef __int16_t int16;
+#undef uint16
+typedef __uint16_t uint16;
+#undef int32
+typedef __int32_t int32;
+#undef uint32
+typedef __uint32_t uint32;
+
 #if defined(LARGE_SMB_OFF_T)
 #define BUFFER_SIZE (128*1024)
 #else /* no large readwrite possible */
